## com.sun.jersey.api.core
Class PackagesResourceConfig

    java.lang.Object
      javax.ws.rs.core.Application
          com.sun.jersey.api.core.ResourceConfig
              com.sun.jersey.api.core.DefaultResourceConfig
                  com.sun.jersey.api.core.ScanningResourceConfig
                      com.sun.jersey.api.core.PackagesResourceConfig

All Implemented Interfaces:
  FeaturesAndProperties, ReloadListener

    public class PackagesResourceConfig

extends ScanningResourceConfig

A mutable implementation of `DefaultResourceConfig` that dynamically searches for root resource and provider classes in a given a set of declared package and in all (if any) sub-packages of those declared packages.

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static java.lang.String` | `PROPERTY_PACKAGES` The property value MUST be an instance String or String[].

Fields inherited from class com.sun.jersey.api.core.ResourceConfig

`COMMON_DELIMITERS, FEATURE_CANONICALIZE_URI_PATH, FEATURE_DISABLE_WADL, FEATURE_IMPLICIT_VIEWABLES, FEATURE_MATCH_MATRIX_PARAMS, FEATURE_NORMALIZE_URI, FEATURE_REDIRECT, FEATURE_TRACE, FEATURE_TRACE_PER_REQUEST, PROPERTY_CONTAINER_NOTIFIER, PROPERTY_CONTAINER_REQUEST_FILTERS, PROPERTY_CONTAINER_RESPONSE_FILTERS, PROPERTY_DEFAULT_RESOURCE_COMPONENT_PROVIDER_FACTORY_CLASS, PROPERTY_LANGUAGE_MAPPINGS, PROPERTY_MEDIA_TYPE_MAPPINGS, PROPERTY_RESOURCE_FILTER_FACTORIES, PROPERTY_WADL_GENERATOR_CONFIG`

Fields inherited from interface com.sun.jersey.core.util.FeaturesAndProperties
`FEATURE_DISABLE_XML_SECURITY, FEATURE_FORMATTED, FEATURE_PRE_1_4_PROVIDER_PRECEDENCE, FEATURE_XMLROOTELEMENT_PROCESSING`

Constructor Summary
`PackagesResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)` Search for root resource classes declaring the packages as a property of `ResourceConfig`.
`PackagesResourceConfig(java.lang.String... packages)` Search for root resource classes declaring the packages as an array of package names.

Method Summary

Methods inherited from class com.sun.jersey.api.core.ScanningResourceConfig
`init, onReload, reload`

Methods inherited from class com.sun.jersey.api.core.DefaultResourceConfig
`getClasses, getExplicitRootResources, getFeature, getFeatures, getLanguageMappings, getMediaTypeMappings, getProperties, getProperty, getSingletons`

Methods inherited from class com.sun.jersey.api.core.ResourceConfig
`add, clone, getContainerRequestFilters, getContainerResponseFilters, getElements, getElements, getProviderClasses, getProviderSingletons, getResourceFilterFactories, getRootResourceClasses, getRootResourceSingletons, isProviderClass, isRootResourceClass, setPropertiesAndFeatures, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_PACKAGES

    public static final java.lang.String PROPERTY_PACKAGES

  The property value MUST be an instance String or String[]. Each String instance represents one or more package names that MUST be separated by ';', ',' or ' ' (space).

  See Also:
    Constant Field Values

Constructor Detail

### PackagesResourceConfig

    public PackagesResourceConfig(java.lang.String... packages)

  Search for root resource classes declaring the packages as an array of package names.

  Parameters:
    `packages` - the array package names.

### PackagesResourceConfig

    public PackagesResourceConfig(java.util.Map<java.lang.String,java.lang.Object> props)

  Search for root resource classes declaring the packages as a property of `ResourceConfig`.

  Parameters:
    `props` - the property bag that contains the property `PROPERTY_PACKAGES`.

Copyright © 2017 Oracle Corporation. All Rights Reserved.